Get security summary
curl --request GET \
--url https://app.msportal.ai/api/public/v1/security/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/security/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/security/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/security/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/security/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/security/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/security/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"dnsFiltering": {
"providers": [
"<string>"
],
"trafficWindowDays": 123,
"organizations": 123,
"protectedSites": 123,
"roamingClients": {
"total": 123,
"protected": 123,
"protectedPercent": 123
},
"requests": 123,
"blockedRequests": 123,
"blockedPercent": 123,
"threatRequestsBlocked": 123,
"threatEvents": {
"count": 123,
"windowDays": 123
},
"topBlockedCategories": {
"windowDays": 123,
"items": [
{
"category": "<string>",
"blockedRequests": 123
}
]
},
"byProvider": [
{
"provider": "<string>",
"organizations": 123,
"protectedSites": 123,
"roamingClients": 123,
"roamingClientsProtected": 123,
"requests": 123,
"blockedRequests": 123,
"threatRequestsBlocked": 123,
"lastSyncedAt": "<string>"
}
],
"lastSyncedAt": "<string>"
},
"cork": {},
"acronis": {},
"huntress": {},
"avanan": {},
"bitdefender": {},
"fortinet": {},
"petra": {},
"cloudflare": {},
"roboshadow": {},
"cyrisma": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Security
Get security summary
Cross-provider security posture: Cork, Acronis EDR, Huntress, Avanan, Petra, Cloudflare, Bitdefender, Fortinet, DNS filtering, RoboShadow and Cyrisma. A provider section is null when its data is unavailable. Requires security.read, the linked user’s read_security permission and an active security integration.
GET
/
api
/
public
/
v1
/
security
/
summary
Get security summary
curl --request GET \
--url https://app.msportal.ai/api/public/v1/security/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.msportal.ai/api/public/v1/security/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.msportal.ai/api/public/v1/security/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.msportal.ai/api/public/v1/security/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.msportal.ai/api/public/v1/security/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.msportal.ai/api/public/v1/security/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.msportal.ai/api/public/v1/security/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"dnsFiltering": {
"providers": [
"<string>"
],
"trafficWindowDays": 123,
"organizations": 123,
"protectedSites": 123,
"roamingClients": {
"total": 123,
"protected": 123,
"protectedPercent": 123
},
"requests": 123,
"blockedRequests": 123,
"blockedPercent": 123,
"threatRequestsBlocked": 123,
"threatEvents": {
"count": 123,
"windowDays": 123
},
"topBlockedCategories": {
"windowDays": 123,
"items": [
{
"category": "<string>",
"blockedRequests": 123
}
]
},
"byProvider": [
{
"provider": "<string>",
"organizations": 123,
"protectedSites": 123,
"roamingClients": 123,
"roamingClientsProtected": 123,
"requests": 123,
"blockedRequests": 123,
"threatRequestsBlocked": 123,
"lastSyncedAt": "<string>"
}
],
"lastSyncedAt": "<string>"
},
"cork": {},
"acronis": {},
"huntress": {},
"avanan": {},
"bitdefender": {},
"fortinet": {},
"petra": {},
"cloudflare": {},
"roboshadow": {},
"cyrisma": {}
}
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"details": "<unknown>",
"code": "<string>"
}Was this page helpful?